require 'redis'
$redis = Redis.new :host => 'haserver.com',:driver => :hiredis # default port : 6379

if Rails.env.production? then

  Sidekiq.configure_client do |config|
    config.redis = { :url => 'redis://haserver.com:6379/12', :namespace => 'sidekiq' }
  end


  Sidekiq.configure_server do |config|
    config.redis = { :url => 'redis://haserver.com:6379/12', :namespace => 'sidekiq' }
    sconfig = Rails.application.config.database_configuration[Rails.env]
    sconfig['pool'] = 100

    ActiveRecord::Base.establish_connection sconfig
    config.on(:startup) do
      puts "Staring sidekiq server!"
      require "notifications/grocer"
    end
  end

end
